Package org.apache.sysds.runtime.compress.lib

## Class CLALibSquash

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibSquash

    public class CLALibSquash
    extends Object

### Constructor Summary

Constructors
`CLALibSquash()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressedMatrixBlock` `squash​(CompressedMatrixBlock m, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibSquash

    public CLALibSquash()

### Method Detail

#### squash

    public static CompressedMatrixBlock squash​(CompressedMatrixBlock m,
                                               int k)